<template lang="pug">
  section.footer
    .footer__wrap
      .footer__main.wrap
        router-link.footer__logo(exact to="/"): img(src="@/assets/img/logo-white.svg", alt="logo")
        nav.footer__nav
          ul.footer__elems
            li.footer__elem: router-link.footer__link(exact to="/") Главная
            li.footer__elem: router-link.footer__link(exact to="/services") Услуги
            li.footer__elem: router-link.footer__link(exact to="/companies") Компаниям
            li.footer__elem: router-link.footer__link(exact to="/tenders") Участие в тендерах
            li.footer__elem: router-link.footer__link(exact to="/portfolio") Портфолио
            li.footer__elem: router-link.footer__link(exact to="/about") О нас
            li.footer__elem: router-link.footer__link(exact to="/blog") Блог
            li.footer__elem: router-link.footer__link(exact to="/contacts") Контакты
        .footer__contacts
          a.footer__phone(href="tel:+74955632345") +7 495 563-23-45
          ul.footer__social
            li: a(href="#"): img(src="@/assets/img/vk.svg", alt="vk")
            li: a(href="#"): img(src="@/assets/img/fb.svg", alt="fb")
            li: a(href="#"): img(src="@/assets/img/instagram.svg", alt="instagram")
      .footer__bottom
        .wrap
          span: font © СТС-Сервис. 2020. Все права защищены.
          span <font> Сделано в студии </font> <a href="#"> Грохотова </a>.
</template>

<script>
export default {
  name: "vFooter",
};
</script>

<style lang="scss">
.footer {
  background-color: $footer-bg;
  &__main {
    display: flex;
    justify-content: space-between;

    min-height: 194px;

    padding: 60px 15px 50px !important;
    @media (max-width: 1070px) {
      flex-direction: column;
      padding-bottom: 200px;
    }
  }
  &__bottom {
    .wrap {
      width: 100%;
      height: 50px;

      display: flex;
      justify-content: space-between;
      align-items: center;
    }
    height: 50px;

    background-color: #242836;
    span {
      font-size: 13px;
      line-height: 18px;
      font-weight: 300;
      letter-spacing: 0.015em;
      color: $white;
    }
    font {
      opacity: 0.7;
    }
    a {
      font-size: 13px;
      line-height: 18px;
      font-weight: 300;
      letter-spacing: 0.015em;
      color: $white;
      text-decoration: none;
      opacity: 0.7;
      transition: all 0.2s;
      &:hover {
        opacity: 1;
      }
    }
  }
  &__nav {
    max-width: 600px;
    width: 100%;
    @media (max-width: 1070px) {
      margin-bottom: 40px;
      margin-top: 40px;
    }
  }
  &__elems {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1.2fr;
    grid-gap: 22px;

    max-width: 600px;
    width: 100%;

    margin: 0;

    list-style: none;
  }
  &__social {
    display: grid;
    grid-template-columns: 36px 36px 36px;
    grid-gap: 20px;

    margin: 0;
    margin-top: 20px;

    list-style: none;
    img {
      transition: all 0.3s;
      &:hover {
        opacity: 0.7;
        transform: translateY(-2px);
      }
    }
  }
  &__link {
    font: 400 16px/20px "Museo Sans", sans-serif;
    color: $white;
    text-decoration: none;
    transition: all 0.2s;
    &:hover {
      opacity: 0.7;
    }
  }
  &__phone {
    font: 400 20px/24px "Museo Sans", sans-serif;
    color: $white;
    text-decoration: none;

    transition: all 0.3s ease-in-out;
    &:hover {
      opacity: 0.7;
    }
  }
}
</style>
